Search found 4350 matches

Go to advanced search

by microelly2
Tue Jul 30, 2019 6:16 pm
Forum: Python scripting and macros
Topic: fast way to create a triangle
Replies: 4
Views: 275

Re: fast way to create a triangle

I compared in both cases the shapes # create a alpha simplex if it is small enough if max ([e.Length for e in tta+ttb+ttc+ttd])<lmax: bbtime=time.time() if 10: wire=Part.makePolygon([a,b,c,a]) colf += [Part.Face(wire)] wire=Part.makePolygon([a,b,d,a]) colf += [Part.Face(wire)] wire=Part.makePolygon(...
by microelly2
Tue Jul 30, 2019 5:55 pm
Forum: Open discussion
Topic: node editor - pyflow
Replies: 87
Views: 6000

Re: node editor - pyflow

Playing with primitives of Part.Geom2D on surfaces.
These are mapping of lines and circles from uv-space to the surface.
phpBB [video]
by microelly2
Tue Jul 30, 2019 11:43 am
Forum: Help on using FreeCAD
Topic: How to project a curve onto a cylindrical surface?
Replies: 23
Views: 1593

Re: How to project a curve onto a cylindrical surface?

I still have a little bit to fight with the self connecting cylinder face but this is a use case of uv projection from pyflow too.
the same result.
cp_019.png
cp_019.png (141.53 KiB) Viewed 815 times
by microelly2
Tue Jul 30, 2019 11:12 am
Forum: Python scripting and macros
Topic: fast way to create a triangle
Replies: 4
Views: 275

Re: fast way to create a triangle

thank you, but it is still slower by factor 2 than bsplinesurface.
by microelly2
Tue Jul 30, 2019 11:00 am
Forum: Help on using FreeCAD
Topic: How to project a curve onto a cylindrical surface?
Replies: 23
Views: 1593

Re: How to project a curve onto a cylindrical surface?

Maybe not exactly what you need but it does give you quite a lot of room to play with the parameters and get different results out of it... Note: - I have not made the final loft surface between the section and the reflectlines - I have scaled the clone only in X an Z directions (not Y) - with the ...
by microelly2
Tue Jul 30, 2019 10:36 am
Forum: Help on using FreeCAD
Topic: How to project a curve onto a cylindrical surface?
Replies: 23
Views: 1593

Re: How to project a curve onto a cylindrical surface?

there is no default method but it is simple to map the coordinates of some discretized points of the curve to cylindric coordinates and than normalize the radius.
I will look for the script, I'm sure I had it already.
by microelly2
Tue Jul 30, 2019 9:41 am
Forum: Python scripting and macros
Topic: fast way to create a triangle
Replies: 4
Views: 275

fast way to create a triangle

I'm looking for a fast way to create a triangle shape.
I don't want to create a mesh but a part with triangles.
my best result I get at the moment with bsplines

w=Part.BSplineSurface()
w.buildFromPolesMultsKnots([[a,b],[a,c]],[2,2],[2,2],[0,1],[0,1],False,False,1,1)
by microelly2
Mon Jul 29, 2019 8:29 pm
Forum: Open discussion
Topic: node editor - pyflow
Replies: 87
Views: 6000

Re: node editor - pyflow

alpha shapes from a random point cloud
phpBB [video]
by microelly2
Mon Jul 29, 2019 11:14 am
Forum: Open discussion
Topic: node editor - pyflow
Replies: 87
Views: 6000

Re: node editor - pyflow

saso wrote:
Thu Jul 25, 2019 7:05 pm
and now some voronoi on the surface ;)
here we are
phpBB [video]

Go to advanced search